<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>Home - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="DistanceType.html">DistanceType</a><ul class='members'></ul></li><li><a href="InequalityType.html">InequalityType</a><ul class='members'></ul></li><li><a href="QLearner.html">QLearner</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="QLearner.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#getQtable">getQtable</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#doAction">doAction</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#doNext">doNext</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#doPath">doPath</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#.newQLearner">newQLearner</a></li></ul></li><li><a href="ScalarField.html">ScalarField</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ScalarField.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#set">set</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#erase">erase</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#clear">clear</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#add">add</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#load">load</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#save">save</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getValues">getValues</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#has">has</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#get">get</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getExtrapolations">getExtrapolations</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getBarycenter">getBarycenter</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getDiameter">getDiameter</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getDistance">getDistance</a></li></ul></li><li><a href="Trajectory.html">Trajectory</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Trajectory.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#addPoint">addPoint</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#addRegion">addRegion</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#add">add</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#getNext">getNext</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#isDone">isDone</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#getPath">getPath</a></li></ul></li></ul>
    
</nav>

<div id="main">
    

    



    


    <section class="package">
        <h3> </h3>		
    </section>









    



    <section class="readme usertext">
        <article><h1>symbolingfield</h1>
<p>Symbolic data structure variational mechanisms</p>
<p><a name='what'></a></p>
<h2>Package repository</h2>
<ul>
<li>Package files: <a target='_blank' href='https://gitlab.inria.fr/line/aide-group/symbolingfield'>https://gitlab.inria.fr/line/aide-group/symbolingfield</a></li>
<li>Package documentation: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/symbolingfield'>https://line.gitlabpages.inria.fr/aide-group/symbolingfield</a></li>
<li>Source files: <a target='_blank' href='https://gitlab.inria.fr/line/aide-group/symbolingfield/-/tree/master/src'>https://gitlab.inria.fr/line/aide-group/symbolingfield/-/tree/master/src</a></li>
<li>Saved on <a target='_blank' href='https://archive.softwareheritage.org/browse/origin/directory/?origin_url=https://gitlab.inria.fr/line/aide-group/symbolingfield'>softwareherirage.org</a></li>
<li>Version <code>0.1.0</code></li>
<li>License <code>CECILL-C</code></li>
</ul>
<h2>Installation</h2>
<h3>User simple installation</h3>
<ul>
<li><code>npm install git+https://gitlab.inria.fr/line/aide-group/symbolingfield.git</code></li>
</ul>
<h3>Co-developper installation</h3>
<ul>
<li>See the <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidebuild/install.html#.install_as_developer'>related documentation</a></li>
</ul>
<p>Please refer to the <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidebuild/install.html'>installation guide</a> for installation.</p>
<p><a name='how'></a></p>
<h2>Usage</h2>
<h3>npm script usage</h3>
<pre class="prettyprint source"><code>npm install --quiet : installs all package dependencies and sources.
npm run build: builds the different compiled, documentation and test files.
npm test     : runs functional and non-regression tests.
npm run clean: cleans installation files.
</code></pre>
<p><a name='dep'></a></p>
<h2>Dependencies</h2>
<ul>
<li><tt>symbolingtype: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/symbolingtype'>Symbolic data structure type specification</a></tt></li>
</ul>
<h2>devDependencies</h2>
<ul>
<li><tt>aidebuild: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidebuild'>Builds multi-language compilation packages and related documentation.</a></tt></li>
</ul>
<p><a name='who'></a></p>
<h2>Authors</h2>
<ul>
<li>Axel Palaude  <big><a target='_blank' href='mailto:axel.palaude@inria.fr'>🖂</a></big>  <big><a target='_blank' href='https://www.linkedin.com/in/axel-palaude'>🗏</a></big></li>
<li>Thierry Viéville  <big><a target='_blank' href='mailto:thierry.vieville@inria.fr'>🖂</a></big></li>
</ul></article>
    </section>






    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>